uvc_frame_desc Struct Reference

Frame descriptor. More...

`#include <libuvc.h>`

## Data Fields

enum uvc_vs_desc_subtype | bDescriptorSubtype
| Type of frame, such as JPEG frame or uncompressed frme.
uint8_t | bFrameIndex
| Index of the frame within the list of specs available for this format.
uint16_t | wWidth
| Image width.
uint16_t | wHeight
| Image height.
uint32_t | dwMinBitRate
| Bitrate of corresponding stream at minimal frame rate.
uint32_t | dwMaxBitRate
| Bitrate of corresponding stream at maximal frame rate.
uint32_t | dwMaxVideoFrameBufferSize
| Maximum number of bytes for a video frame.
uint32_t | dwDefaultFrameInterval
| Default frame interval (in 100ns units)
uint32_t | dwMinFrameInterval
| Minimum frame interval for continuous mode (100ns units)
uint32_t | dwMaxFrameInterval
| Maximum frame interval for continuous mode (100ns units)
uint32_t | dwFrameIntervalStep
| Granularity of frame interval range for continuous mode (100ns)
uint8_t | bFrameIntervalType
| Frame intervals.
uint32_t | dwBytesPerLine
| number of bytes per line
uint32_t * | intervals
| Available frame rates, zero-terminated (in 100ns units)

## Detailed Description

Frame descriptor.

A "frame" is a configuration of a streaming format for a particular image size at one of possibly several available frame rates.

The documentation for this struct was generated from the following file:

- libuvc.h